summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2006-01-26 06:06:40 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2006-01-26 06:06:40 +0000
commit0da35565d61c8bc32014fc6d1e10c5513e4a104d (patch)
tree62ff8f787bd345692a05bbaed7e61b7f440dd40d /eclass/php-sapi.eclass
parentFix modular-X deps properly. "use? || (...)" is not valid, it should be "use?... (diff)
downloadgentoo-2-0da35565d61c8bc32014fc6d1e10c5513e4a104d.tar.gz
gentoo-2-0da35565d61c8bc32014fc6d1e10c5513e4a104d.tar.bz2
gentoo-2-0da35565d61c8bc32014fc6d1e10c5513e4a104d.zip
Fix modular-x deps on old PHP eclasses. Not really needed, but makes tracing of real modular-x bugs easier.
Diffstat (limited to 'eclass/php-sapi.eclass')
-rw-r--r--eclass/php-sapi.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/php-sapi.eclass b/eclass/php-sapi.eclass
index 697fc88fa789..33d0fb76bf36 100644
--- a/eclass/php-sapi.eclass
+++ b/eclass/php-sapi.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-sapi.eclass,v 1.88 2006/01/07 18:24:29 chtekk Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-sapi.eclass,v 1.89 2006/01/26 06:06:40 robbat2 Exp $
# Author: Robin H. Johnson <robbat2@gentoo.org>
inherit eutils flag-o-matic multilib libtool
@@ -75,7 +75,7 @@ RDEPEND="${RDEPEND} berkdb? ( =sys-libs/db-1*
RDEPEND="${RDEPEND}
!dev-lang/php
app-arch/bzip2
- X? ( virtual/x11 )
+ X? ( || ( x11-libs/libXpm virtual/x11 ) )
crypt? ( >=dev-libs/libmcrypt-2.4 >=app-crypt/mhash-0.8 )
curl? ( >=net-misc/curl-7.10.2 )
x86? ( firebird? ( >=dev-db/firebird-1.0 ) )